using System;
using PSO2SERVER.Models;
using PSO2SERVER.Protocol.Packets;

namespace PSO2SERVER.Protocol.Handlers
{
    [PacketHandlerAttr(0x11, 0x52)]
    public class CreateCharacterInviteNickname : PacketHandler
    {
        private uint PlayerID {  get; set; }
        private uint unk1 { get; set; }

        public override void HandlePacket(Client context, byte flags, byte[] data, uint position, uint size)
        {
            var info = string.Format("[<--] 接收到的数据 (hex): {0} 字节", data.Length);
            Logger.WriteHex(info, data);

            var reader = new PacketReader(data, position, size);

            PlayerID = reader.ReadUInt32();
            unk1 = reader.ReadUInt32();

            Logger.Write($"PlayerID:{PlayerID} unk1:{unk1}");

            //TODO 数据包结构不对的 需要探索
            context.SendPacket(new CreateCharacterInviteNicknameResponsePacket(0, 0, 0, 0));
        }
    }
}
